extern crate xcb;

fn load_atom(conn: &xcb::Connection, name: &str) -> xcb::Atom {
    let cookie = xcb::intern_atom(conn, true, name);
    cookie.get_reply().unwrap().atom()
}

macro_rules! atoms {
    ( $( $x:ident ),* ) => {
        #[allow(non_snake_case)]
        pub struct Atoms {
            $(pub $x: xcb::Atom),*
        }

        pub fn load_atoms(conn: &xcb::Connection) -> Atoms {
            Atoms {
                $($x: load_atom(conn, stringify!($x))),*
            }
        }
    }
}

atoms!(
    _NET_ACTIVE_WINDOW,
    _NET_WM_NAME,
    UTF8_STRING
);
